libassuan-config unsuitable for multilib support
Closed, WontfixPublic

Description

$ libassuan-config --libs
-L/usr/lib64 -lassuan -lgpg-error

The returned value is incorrect for a multilib build since it forces
'/usr/lib64'. Please fix libassuan to ship a pkg-config file that is properly
bound to the libdir. This way, distributions wouldn't need to hack this around.

mgorny added a subscriber: mgorny.
werner added a project: Feature Request.
marcus closed this task as Wontfix.Jul 6 2017, 5:39 PM
marcus claimed this task.
marcus added a subscriber: marcus.

We don't support pkg-config, because it is not POSIX. See https://lists.gnupg.org/pipermail/gnupg-devel/2014-May/028474.html for discussion.